From 09e67cdd9e24038dc6c0f15a10c45feaab659d7f Mon Sep 17 00:00:00 2001
From: Kyle Nusbaum <kylenusbaum@granular.ag>
Date: Thu, 18 Jul 2019 17:40:52 -0500
Subject: [PATCH 1/2] New package: libde265-1.0.3

---
 common/shlibs             |  1 +
 srcpkgs/libde265-devel    |  1 +
 srcpkgs/libde265/template | 27 +++++++++++++++++++++++++++
 3 files changed, 29 insertions(+)
 create mode 120000 srcpkgs/libde265-devel
 create mode 100644 srcpkgs/libde265/template

diff --git a/common/shlibs b/common/shlibs
index 2f146bbfa9d..051b738c61d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3493,3 +3493,4 @@ libkres.so.9 knot-resolver-4.0.0_1
 libnsl.so.2 libnsl-1.2.0_1
 libbcc.so.0 bcc-0.10.0_1
 libbcc_bpf.so.0 bcc-0.10.0_1
+libde265.so.0 libde265-1.0.3_1
diff --git a/srcpkgs/libde265-devel b/srcpkgs/libde265-devel
new file mode 120000
index 00000000000..0043e850888
--- /dev/null
+++ b/srcpkgs/libde265-devel
@@ -0,0 +1 @@
+libde265
\ No newline at end of file
diff --git a/srcpkgs/libde265/template b/srcpkgs/libde265/template
new file mode 100644
index 00000000000..5e4c1103e08
--- /dev/null
+++ b/srcpkgs/libde265/template
@@ -0,0 +1,27 @@
+# Template file for 'libde265'
+pkgname=libde265
+version=1.0.3
+revision=1
+build_style=gnu-configure
+hostmakedepends="automake autoconf pkg-config libtool"
+short_desc="Open h.265 video codec implementation"
+maintainer="Kyle Nusbaum <knusbaum+void@sdf.org>"
+license="LGPL-3.0-or-later"
+homepage="https://www.libde265.org"
+distfiles="https://github.com/strukturag/libde265/archive/v${version}.tar.gz"
+checksum=0defc89555af724333228a230c41d23714d70e3f5c2d8b90b7376be27745a74b
+
+pre_configure() {
+	./autogen.sh
+}
+
+libde265-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/include
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+		vmove usr/lib/pkgconfig
+	}
+}

From 99702debc0303c4466a797e8679a0328ac5008e3 Mon Sep 17 00:00:00 2001
From: Kyle Nusbaum <kylenusbaum@granular.ag>
Date: Mon, 22 Jul 2019 09:58:14 -0500
Subject: [PATCH 2/2] New package: libheif-1.4.0

---
 common/shlibs            |  1 +
 srcpkgs/libheif-devel    |  1 +
 srcpkgs/libheif/template | 27 +++++++++++++++++++++++++++
 3 files changed, 29 insertions(+)
 create mode 120000 srcpkgs/libheif-devel
 create mode 100644 srcpkgs/libheif/template

diff --git a/common/shlibs b/common/shlibs
index 051b738c61d..bff18e46bd2 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3494,3 +3494,4 @@ libnsl.so.2 libnsl-1.2.0_1
 libbcc.so.0 bcc-0.10.0_1
 libbcc_bpf.so.0 bcc-0.10.0_1
 libde265.so.0 libde265-1.0.3_1
+libheif.so.1 libheif-1.4.0_1
diff --git a/srcpkgs/libheif-devel b/srcpkgs/libheif-devel
new file mode 120000
index 00000000000..0dc6e8f9d47
--- /dev/null
+++ b/srcpkgs/libheif-devel
@@ -0,0 +1 @@
+libheif
\ No newline at end of file
diff --git a/srcpkgs/libheif/template b/srcpkgs/libheif/template
new file mode 100644
index 00000000000..4ec63f3877a
--- /dev/null
+++ b/srcpkgs/libheif/template
@@ -0,0 +1,27 @@
+# Template file for 'libheif'
+pkgname=libheif
+version=1.4.0
+revision=1
+build_style=gnu-configure
+hostmakedepends="automake autoconf pkg-config libtool"
+short_desc="ISO/IEC 23008-12:2017 HEIF file format decoder and encoder"
+maintainer="Kyle Nusbaum <knusbaum+void@sdf.org>"
+license="LGPL-3.0-or-later"
+homepage="http://www.libheif.org"
+distfiles="https://github.com/strukturag/libheif/archive/v1.4.0.tar.gz"
+checksum=3b7cead51077ee42e687248b8cd9269fda95a5f7ef4e502c54d08d189e395368
+
+pre_configure() {
+	./autogen.sh
+}
+
+libheif-devel_package() {
+	short_desc+=" - development files"
+	depends="${sourcepkg}>=${version}_${revision}"
+	pkg_install() {
+		vmove usr/include
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+		vmove usr/lib/pkgconfig
+	}
+}
